%global dist_name DepGen-Perl-Tests
Name:           perl-%{dist_name}
Version:        0.1.2
Release:        10%{?dist}
Summary:        Tests for RPM dependency generator for Perl packages
License:        GPLv3+
URL:            http://ppisar.fedorapeople.org/%{dist_name}/
Source0:        %{url}%{dist_name}-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-Time:
BuildRequires:  %{_bindir}/perl
BuildRequires:  %{_bindir}/rpmbuild
BuildRequires:  %{_bindir}/tar
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  perl(AutoLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(RPM2)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Simple)
BuildRequires:  perl(version) >= 0.77
BuildRequires:  perl(XSLoader)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       %{_bindir}/rpmbuild
Requires:       %{_bindir}/tar
# Some of the test data are executed
Requires:       findutils
Requires:       gcc
Requires:       make
Requires:       perl-devel
Requires:       perl-generators
Requires:       perl(AutoLoader)
Requires:       perl(Exporter)
Requires:       perl(ExtUtils::MakeMaker)
Requires:       perl(Test::Simple)
Requires:       perl(version) >= 0.77
Requires:       perl(XSLoader)

# Those auto/share files are data. So filter them.
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{perl_vendorlib}/auto/share/
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{perl_vendorlib}/auto/share/

%description
This is a regression test suite for Perl RPM dependency generator.

%prep
%setup -q -n %{dist_name}-v%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
# XXX: This runs rpmbuild. Is it Ok?
make test

%files
%doc Changes COPYING
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.1.2-9
- Perl 5.30 rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.1.2-6
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.1.2-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jul 20 2016 Petr Pisar <ppisar@redhat.com> - 0.1.2-1
- 0.1.2 bump

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.1.1-7
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.1.1-4
- Perl 5.22 rebuild

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.1.1-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 23 2013 Petr Pisar <ppisar@redhat.com> - 0.1.1-1
- 0.1.1 bump

* Wed Oct 23 2013 Petr Pisar <ppisar@redhat.com> 0.1.0-1
- 0.1.0 version packaged
